### Hierarchy

- unknown
  - StrikeAccountPayload

## Index

### Constructors

- constructor

### Methods

- getHolderName
- serializeBinary
- setHolderName
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new StrikeAccountPayload(): StrikeAccountPayload

- Inherited from jspb.Message.constructor

  #### Returns StrikeAccountPayload

## Methods

### getHolderName

- getHolderName(): string

- - Defined in src/protobuf/pb_pb.d.ts:5743

  #### Returns string

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:5746

  #### Returns Uint8Array

### setHolderName

- setHolderName(value: string): StrikeAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:5744

  #### Parameters

  - ##### value: string

  #### Returns StrikeAccountPayload

### toObject

- toObject(includeInstance?: boolean): StrikeAccountPayload . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:5747

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns StrikeAccountPayload . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): StrikeAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:5750

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns StrikeAccountPayload

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: StrikeAccountPayload, reader: BinaryReader): StrikeAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:5751

  #### Parameters

  - ##### message: StrikeAccountPayload

  - ##### reader: BinaryReader

  #### Returns StrikeAccountPayload

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: StrikeAccountPayload, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:5749

  #### Parameters

  - ##### message: StrikeAccountPayload

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: StrikeAccountPayload ): StrikeAccountPayload . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:5748

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: StrikeAccountPayload

  #### Returns StrikeAccountPayload . AsObject

Generated using TypeDoc